linux-mips
[Top] [All Lists]

Re: Problems with mips2 compiled libc and linux 2.4.3

To: Brian Murphy <brian@murphy.dk>
Subject: Re: Problems with mips2 compiled libc and linux 2.4.3
From: "H . J . Lu" <hjl@lucon.org>
Date: Mon, 18 Jun 2001 11:22:53 -0700
Cc: "linux-mips@oss.sgi.com" <linux-mips@oss.sgi.com>
In-reply-to: <3B2E4458.1637A08A@murphy.dk>; from brian@murphy.dk on Mon, Jun 18, 2001 at 08:11:36PM +0200
References: <3B2E4458.1637A08A@murphy.dk>
Sender: owner-linux-mips@oss.sgi.com
User-agent: Mutt/1.2.5i
On Mon, Jun 18, 2001 at 08:11:36PM +0200, Brian Murphy wrote:
> 
> it is linked with a glibc compiled with -mips2. It is the second if test

I patched my kernel to get around it.

> 
> which fails if any of the high 4 bits in the flags are set. According to
> the
> specs these are set for the various mipsx (x != 1) flavors - this seems

> to mean
> that we do no allow anything higher than mips1 run on linux - can this
> be
> true? If so, why?

There is no very good reason. I think we should add a MIPS ISA level
field in the mips cpuinfo so that we can check what ISA the hardware
support at the run-time.


H.J.

<Prev in Thread] Current Thread [Next in Thread>